## com.fasterxml.jackson.databind.deser.std
Class DateDeserializers.SqlDateDeserializer

    java.lang.Object
      com.fasterxml.jackson.databind.JsonDeserializer<T>
          com.fasterxml.jackson.databind.deser.std.StdDeserializer<T>
              com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer<T>
                  com.fasterxml.jackson.databind.deser.std.DateDeserializers.DateBasedDeserializer<Date>
                      com.fasterxml.jackson.databind.deser.std.DateDeserializers.SqlDateDeserializer

All Implemented Interfaces:
  ContextualDeserializer

Enclosing class:
  DateDeserializers

    public static class DateDeserializers.SqlDateDeserializer

extends DateDeserializers.DateBasedDeserializer<Date>

Compared to plain old `Date`, SQL version is easier to deal with: mostly because it is more limited.

Nested Class Summary

Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer
`JsonDeserializer.None`

Field Summary

Fields inherited from class com.fasterxml.jackson.databind.deser.std.DateDeserializers.DateBasedDeserializer
`_customFormat, _formatString`

Fields inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer
`_valueClass`

Constructor Summary
`DateDeserializers.SqlDateDeserializer()`
`DateDeserializers.SqlDateDeserializer(DateDeserializers.SqlDateDeserializer src, DateFormat df, String formatString)`

Method Summary
`Date` `deserialize(com.fasterxml.jackson.core.JsonParser jp, DeserializationContext ctxt)` Method that can be called to ask implementation to deserialize JSON content into the value type this serializer handles.
`protected DateDeserializers.SqlDateDeserializer` `withDateFormat(DateFormat df, String formatString)`

Methods inherited from class com.fasterxml.jackson.databind.deser.std.DateDeserializers.DateBasedDeserializer
`_parseDate, createContextual`

Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer
`deserializeWithType`

Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer
`_parseBoolean, _parseBooleanFromNumber, _parseBooleanPrimitive, _parseByte, _parseDouble, _parseDoublePrimitive, _parseFloat, _parseFloatPrimitive, _parseInteger, _parseIntPrimitive, _parseLong, _parseLongPrimitive, _parseShort, _parseShortPrimitive, findDeserializer, getValueClass, getValueType, handleUnknownProperty, isDefaultDeserializer, isDefaultKeyDeserializer, parseDouble`

Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer
`deserialize, getEmptyValue, getNullValue, getObjectIdReader, isCachable, unwrappingDeserializer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DateDeserializers.SqlDateDeserializer

    public DateDeserializers.SqlDateDeserializer()

### DateDeserializers.SqlDateDeserializer

    public DateDeserializers.SqlDateDeserializer(DateDeserializers.SqlDateDeserializer src,
                                                 DateFormat df,
                                                 String formatString)

Method Detail

### withDateFormat

    protected DateDeserializers.SqlDateDeserializer withDateFormat(DateFormat df,
                                                                   String formatString)

  Specified by:
    `withDateFormat` in class `DateDeserializers.DateBasedDeserializer<Date>`

### deserialize

    public Date deserialize(com.fasterxml.jackson.core.JsonParser jp,
                            DeserializationContext ctxt)
                     throws IOException,
                            com.fasterxml.jackson.core.JsonProcessingException

  Description copied from class: `JsonDeserializer`
  Method that can be called to ask implementation to deserialize JSON content into the value type this serializer handles. Returned instance is to be constructed by method itself.

  Pre-condition for this method is that the parser points to the first event that is part of value to deserializer (and which is never JSON 'null' literal, more on this below): for simple types it may be the only value; and for structured types the Object start marker. Post-condition is that the parser will point to the last event that is part of deserialized value (or in case deserialization fails, event that was not recognized or usable, which may be the same event as the one it pointed to upon call).

  Note that this method is never called for JSON null literal, and thus deserializers need (and should) not check for it.

  Specified by:
    `deserialize` in class `JsonDeserializer<Date>`
  Parameters:
    `jp` - Parsed used for reading JSON content
    `ctxt` - Context that can be used to access information about this deserialization activity.
  Returns:
    Deserializer value
  Throws:
    `IOException`
    `com.fasterxml.jackson.core.JsonProcessingException`

Copyright © 2012 fasterxml.com. All Rights Reserved.